cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/fulfillment_terms" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"fulfillment_term": {
"name": "One month",
"display_name": "One month",
"period": "MONTHLY",
"duration": 1
}
}'from exsited import build_client
client = build_client()
response = client.fulfillment_terms.create_settings_fulfillment_term(
{
"fulfillment_term": {
"name": "One month",
"display_name": "One month",
"period": "MONTHLY",
"duration": 1,
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.fulfillmentTerms.createSettingsFulfillmentTerm({
fulfillment_term: {name: 'One month', display_name: 'One month', period: 'MONTHLY', duration: 1},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->fulfillmentTerms->createSettingsFulfillmentTerm([
'fulfillment_term' => [
'name' => 'One month',
'display_name' => 'One month',
'period' => 'MONTHLY',
'duration' => 1,
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.fulfillment_terms.fulfillment_terms_dto.FulfillmentTermsDto.SettingsFulfillmentTerm;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsFulfillmentTerm> response = client.fulfillmentTerms().createSettingsFulfillmentTerm(
Map.of(
"fulfillment_term", Map.of(
"name", "One month",
"display_name", "One month",
"period", "MONTHLY",
"duration", 1)));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.FulfillmentTerms.CreateSettingsFulfillmentTermAsync(new Dictionary<string, object?>
{
["fulfillment_term"] = new Dictionary<string, object?>
{
["name"] = "One month",
["display_name"] = "One month",
["period"] = "MONTHLY",
["duration"] = 1,
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.fulfillmentTerms.createSettingsFulfillmentTerm({
'fulfillment_term': {
'name': 'One month',
'display_name': 'One month',
'period': 'MONTHLY',
'duration': 1,
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.FulfillmentTerms().CreateSettingsFulfillmentTerm(context.Background(), map[string]any{
"fulfillment_term": map[string]any{
"name": "One month",
"display_name": "One month",
"period": "MONTHLY",
"duration": 1,
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"fulfillment_term": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"period": "<string>",
"status": "<string>"
}
}Fulfillment terms
Create a fulfillment term
Creates a fulfillment term and returns it under fulfillment_term.
POST
/
settings
/
fulfillment_terms
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/fulfillment_terms" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"fulfillment_term": {
"name": "One month",
"display_name": "One month",
"period": "MONTHLY",
"duration": 1
}
}'from exsited import build_client
client = build_client()
response = client.fulfillment_terms.create_settings_fulfillment_term(
{
"fulfillment_term": {
"name": "One month",
"display_name": "One month",
"period": "MONTHLY",
"duration": 1,
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.fulfillmentTerms.createSettingsFulfillmentTerm({
fulfillment_term: {name: 'One month', display_name: 'One month', period: 'MONTHLY', duration: 1},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->fulfillmentTerms->createSettingsFulfillmentTerm([
'fulfillment_term' => [
'name' => 'One month',
'display_name' => 'One month',
'period' => 'MONTHLY',
'duration' => 1,
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.fulfillment_terms.fulfillment_terms_dto.FulfillmentTermsDto.SettingsFulfillmentTerm;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsFulfillmentTerm> response = client.fulfillmentTerms().createSettingsFulfillmentTerm(
Map.of(
"fulfillment_term", Map.of(
"name", "One month",
"display_name", "One month",
"period", "MONTHLY",
"duration", 1)));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.FulfillmentTerms.CreateSettingsFulfillmentTermAsync(new Dictionary<string, object?>
{
["fulfillment_term"] = new Dictionary<string, object?>
{
["name"] = "One month",
["display_name"] = "One month",
["period"] = "MONTHLY",
["duration"] = 1,
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.fulfillmentTerms.createSettingsFulfillmentTerm({
'fulfillment_term': {
'name': 'One month',
'display_name': 'One month',
'period': 'MONTHLY',
'duration': 1,
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.FulfillmentTerms().CreateSettingsFulfillmentTerm(context.Background(), map[string]any{
"fulfillment_term": map[string]any{
"name": "One month",
"display_name": "One month",
"period": "MONTHLY",
"duration": 1,
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"fulfillment_term": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"period": "<string>",
"status": "<string>"
}
}Send the term under
fulfillment_term with its name, display_name, period in upper case and duration. The response gives period in lower case.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new fulfillment term, under fulfillment_term.
Show child attributes
Show child attributes